defmodule LiveInspect.MixProject do
  use Mix.Project

  def project do
    [
      app: :live_inspect,
      version: "0.2.0",
      elixir: "~> 1.12",
      start_permanent: Mix.env() == :prod,
      deps: deps(),
      docs: docs(),
      description: description(),
      package: package(),
      source_url: "https://github.com/schrockwell/live_inspect"
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:ex_doc, "~> 0.27", only: :dev, runtime: false},
      {:makeup_eex, "~> 0.1.1", only: :dev},
      {:phoenix_live_view, "~> 0.17"}
    ]
  end

  defp docs do
    [
      main: "LiveInspect"
    ]
  end

  defp description do
    "Inspect LiveView assigns directly in the browser"
  end

  defp package do
    [
      licenses: ["MIT"],
      links: %{"GitHub" => "https://github.com/schrockwell/live_inspect"}
    ]
  end
end
